Bug 54524 - email package not included in python 2.2 spec
Summary: email package not included in python 2.2 spec
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: python   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-11 13:11 UTC by Jeffrey C. Ollie
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 00:01:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2001-10-11 13:11:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
The spec file for python 2.2a4 does not include the email package, which 
is a subdirectory of /usr/lib/python2.2/email - see patch in additional 
information.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.python
2.import email
3.
	

Actual Results:  # python
Python 2.2a4 (#1, Sep 30 2001, 22:34:15) 
[GCC 2.96 20000731 (Red Hat Linux 7.1 2.96-98)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import email
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: No module named email
>>> 

Expected Results:  # python
Python 2.2a4 (#1, Sep 30 2001, 22:34:15) 
[GCC 2.96 20000731 (Red Hat Linux 7.1 2.96-98)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import email
>>> 

Additional info:

--- python.spec~        Sun Sep 30 21:31:16 2001
+++ python.spec Thu Oct 11 08:00:47 2001
@@ -159,6 +159,7 @@
 /usr/lib/python2.2/*.doc
 /usr/lib/python2.2/curses
 /usr/lib/python2.2/distutils
+/usr/lib/python2.2/email
 /usr/lib/python2.2/encodings
 /usr/lib/python2.2/lib-dynload
 /usr/lib/python2.2/lib-old

Comment 1 Trond Eivind Glomsrxd 2002-08-13 23:59:01 UTC
Added in 2.2.1-6


Note You need to log in before you can comment on or make changes to this bug.